# Start a memory collection

`POST /workspace/memory` · Rivier · memory

Start a memory collection.

- Scope: memory:write
- Graphql: Mutation.memoryCollectionCreate
- Sdk: memory.collection.create
- Cli: memory collection create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "purpose": {
      "type": "string",
      "maxLength": 2000
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/memory' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
```
